|  | Home · All Classes · Modules

# QTextOption.Tab Class Reference
[QtGui module]

This class was introduced in Qt 4.4.

### Methods

- __init__ (self)
- __init__ (self, float pos, TabType tabType, QChar delim = '')
- __init__ (self, Tab)

### Special Methods

- bool __eq__ (self, Tab other)
- bool __ne__ (self, Tab other)

### Members

- QChar delimiter
- float position
- TabType type

## Detailed Description

Each tab definition is represented by this struct.

## Method Documentation

### Tab.__init__ (self)

Creates a default left tab with position 80.

### Tab.__init__ (self, float pos, TabType tabType, QChar delim = '')

Creates a tab with the given position, tab type, and delimiter (pos, tabType, delim).

Note: delim is only used when tabType is DelimiterTab.

This function was introduced in Qt 4.7.

### Tab.__init__ (self, Tab)

### bool Tab.__eq__ (self, Tab other)

### bool Tab.__ne__ (self, Tab other)

## Member Documentation

### QChar delimiter

If type is DelimitorTab; tab until this char is found in the text.

### float position

Distance from the start of the paragraph. The position of a tab is from the start of the paragraph which implies that when the alignment of the paragraph is set to centered, the tab is interpreted to be moved the same distance as the left ege of the paragraph does. In case the paragraph is set to have a layoutDirection() RightToLeft the position is interpreted to be from the right side of the paragraph with higher numbers moving the tab to the left.

### TabType type

Determine which type is used. In a paragraph that has layoutDirection() RightToLeft the type LeftTab will be interpreted to be a RightTab and vice versa.